
%define module_name i2c
%define module_version 2.7.0
%define module_release alt2
%define module_source %{module_name}-%{module_version}.tar.bz2
%define module_source_dir %{module_name}-%{module_version}

#### MODULE SOURCES ####
Name:          kernel-source-%{module_name}-%{module_version}
Version:       %{module_version}
Release:       %{module_release}
Summary:       Linux %{module_name} modules sources
License:       GPL
Group:         Development/Kernel
BuildArch:     noarch
Source0:       %{module_source}
Patch0:        i2c-2.7.0-makefile-fixes.patch

Packager:       Kernel Maintainers Team <kernel@packages.altlinux.org>

#### KERNEL DOCUMENTATION ####
%package -n kernel-doc-%{module_name}-%{module_version}
Version:       %{module_version}
Summary:       Linux %{module_name} modules documentation
Group:         Development/Kernel

%description
%{module_name} modules sources for Linux kernel

%description -n kernel-doc-%{module_name}-%{module_version}
%{module_name} modules documentation for Linux kernel

%prep
%setup -c

pushd %{module_source_dir}
%patch0 -p1
popd

%install
mkdir -p %{buildroot}%{_usrsrc}/kernel/sources/
mkdir -p %{buildroot}%{_defaultdocdir}/kernel-doc-%{module_name}-%{module_version}
cp -a %{module_source_dir}/CHANGES \
    %{module_source_dir}/IMPORTANT_CHANGES \
    %{buildroot}%{_defaultdocdir}/kernel-doc-%{module_name}-%{module_version}
cp -a %{module_source_dir}/doc/* \
    %{buildroot}%{_defaultdocdir}/kernel-doc-%{module_name}-%{module_version}
mv %{module_source_dir} kernel-source-%{module_name}-%{module_version}
tar -c kernel-source-%{module_name}-%{module_version} | bzip2 -c > \
    %{buildroot}%{_usrsrc}/kernel/sources/kernel-source-%{module_name}-%{module_version}.tar.bz2

%files
%{_usrsrc}/kernel/sources/kernel-source-%{module_name}-%{module_version}.tar.bz2

%files -n kernel-doc-%{module_name}-%{module_version}
%doc %{_defaultdocdir}/kernel-doc-%{module_name}-%{module_version}

%changelog
* Fri Apr 18 2003 Peter Novodvorsky <nidd@altlinux.com> 2.7.0-alt2
- adopting to new kernel policy.

* Mon Mar 31 2003 Peter Novodvorsky <nidd@altlinux.com> 2.7.0-alt1
- initial release

